> For the complete documentation index, see [llms.txt](https://docs.teleskope.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.teleskope.ai/the-platform/api-service/metadata/aws/rds/rds-metadata-api.md).

# RDS Metadata API

## GET /aws/rds/clusters

> List RDS Clusters

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsClustersResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RdsCluster"}},"total_count":{"type":"integer"}}},"RdsCluster":{"type":"object","properties":{"id":{"type":"integer"},"region":{"type":"string"},"engine_type":{"type":"string"},"engine_version":{"type":"string"},"identifier":{"type":"string"},"write_endpoint":{"type":"string"},"read_endpoint":{"type":"string"},"encrypted":{"type":"boolean"},"publicly_accessible":{"type":"boolean"},"open_to_the_world":{"type":"boolean"},"multi_az":{"type":"boolean"},"deletion_protection":{"type":"boolean"},"iam_authentication_enabled":{"type":"boolean"},"backup_retention_period":{"type":"integer"},"database_count":{"type":"integer"},"table_count":{"type":"integer"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/clusters":{"get":{"summary":"List RDS Clusters","operationId":"getRdsClusters","parameters":[{"in":"query","name":"aws_account_ids","description":"Comma-separated list of AWS Account IDs","schema":{"type":"string"}},{"in":"query","name":"data_elements","description":"Comma-separated list of data elements","schema":{"type":"string"}},{"in":"query","name":"data_categories","description":"Comma-separated list of data categories","schema":{"type":"string"}},{"in":"query","name":"search","description":"Search clusters by identifier, append the search key with \"identifier:<name>\"","schema":{"type":"string"}},{"in":"query","name":"sort_by","schema":{"type":"string"}},{"in":"query","name":"asc","schema":{"type":"boolean"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"offset","schema":{"type":"integer"}}],"responses":{"200":{"description":"List of RDS clusters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsClustersResponse"}}}}}}}}}
```

## GET /aws/rds/clusters/{id}

> Get a specific RDS cluster

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsCluster":{"type":"object","properties":{"id":{"type":"integer"},"region":{"type":"string"},"engine_type":{"type":"string"},"engine_version":{"type":"string"},"identifier":{"type":"string"},"write_endpoint":{"type":"string"},"read_endpoint":{"type":"string"},"encrypted":{"type":"boolean"},"publicly_accessible":{"type":"boolean"},"open_to_the_world":{"type":"boolean"},"multi_az":{"type":"boolean"},"deletion_protection":{"type":"boolean"},"iam_authentication_enabled":{"type":"boolean"},"backup_retention_period":{"type":"integer"},"database_count":{"type":"integer"},"table_count":{"type":"integer"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/clusters/{id}":{"get":{"summary":"Get a specific RDS cluster","operationId":"getRdsCluster","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"RDS cluster details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsCluster"}}}}}}}}}
```

## GET /aws/rds/databases

> Get a list of RDS databases

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsDatabasesResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RdsDatabase"}},"total_count":{"type":"integer"}}},"RdsDatabase":{"type":"object","properties":{"id":{"type":"integer"},"database_name":{"type":"string"},"schema_name":{"type":"string"},"table_count":{"type":"integer"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"rds_cluster_id":{"type":"integer"},"rds_cluster_identifier":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/databases":{"get":{"summary":"Get a list of RDS databases","operationId":"getRdsDatabases","parameters":null,"responses":{"200":{"description":"List of RDS databases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsDatabasesResponse"}}}}}}}}}
```

## GET /aws/rds/databases/{id}

> Get a specific RDS database

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsDatabase":{"type":"object","properties":{"id":{"type":"integer"},"database_name":{"type":"string"},"schema_name":{"type":"string"},"table_count":{"type":"integer"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"rds_cluster_id":{"type":"integer"},"rds_cluster_identifier":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/databases/{id}":{"get":{"summary":"Get a specific RDS database","operationId":"getRdsDatabase","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"RDS database details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsDatabase"}}}}}}}}}
```

## GET /aws/rds/tables

> List RDS tables

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsTablesResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RdsTable"}},"total_count":{"type":"integer"}}},"RdsTable":{"type":"object","properties":{"id":{"type":"integer"},"table_name":{"type":"string"},"data_size":{"type":"integer"},"row_count":{"type":"integer"},"last_scanned":{"type":"string","format":"date-time"},"dsr_query":{"type":"string"},"column_count":{"type":"integer"},"access_enabled":{"type":"boolean"},"deletion_enabled":{"type":"boolean"},"dsr_enabled":{"type":"boolean"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"rds_cluster_id":{"type":"integer"},"rds_cluster_identifier":{"type":"string"},"rds_database_id":{"type":"integer"},"rds_database_name":{"type":"string"},"rds_schema_name":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/tables":{"get":{"summary":"List RDS tables","operationId":"getRdsTables","parameters":null,"responses":{"200":{"description":"List of RDS tables","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsTablesResponse"}}}}}}}}}
```

## GET /aws/rds/tables/{id}

> Get a specific RDS table

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsTable":{"type":"object","properties":{"id":{"type":"integer"},"table_name":{"type":"string"},"data_size":{"type":"integer"},"row_count":{"type":"integer"},"last_scanned":{"type":"string","format":"date-time"},"dsr_query":{"type":"string"},"column_count":{"type":"integer"},"access_enabled":{"type":"boolean"},"deletion_enabled":{"type":"boolean"},"dsr_enabled":{"type":"boolean"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"rds_cluster_id":{"type":"integer"},"rds_cluster_identifier":{"type":"string"},"rds_database_id":{"type":"integer"},"rds_database_name":{"type":"string"},"rds_schema_name":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/tables/{id}":{"get":{"summary":"Get a specific RDS table","operationId":"getRdsTable","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"RDS table details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsTable"}}}}}}}}}
```

## GET /aws/rds/columns

> Get a list of RDS columns

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsColumnsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/RdsColumn"}},"total_count":{"type":"integer"}}},"RdsColumn":{"type":"object","properties":{"id":{"type":"string"},"column_name":{"type":"string"},"column_type":{"type":"string"},"identifier_id":{"type":"string"},"identifier_name":{"type":"string"},"access_enabled":{"type":"boolean"},"custom_access_label":{"type":"string"},"deletion_enabled":{"type":"boolean"},"deletion_algorithm":{"type":"string"},"no_data":{"type":"boolean"},"table_last_scanned":{"type":"string","format":"date-time"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"rds_cluster_id":{"type":"integer"},"rds_cluster_identifier":{"type":"string"},"rds_database_id":{"type":"integer"},"rds_database_name":{"type":"string"},"rds_schema_name":{"type":"string"},"rds_table_id":{"type":"integer"},"rds_table_name":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/columns":{"get":{"summary":"Get a list of RDS columns","operationId":"getRdsColumns","parameters":null,"responses":{"200":{"description":"List of RDS columns","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsColumnsResponse"}}}}}}}}}
```

## GET /aws/rds/columns/{id}

> Get a specific RDS column

```json
{"openapi":"3.0.3","info":{"title":"RDS Metadata API","version":"1.0.0"},"servers":[{"url":"https://api.metadata.demo-001.teleskope.ai/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"RdsColumn":{"type":"object","properties":{"id":{"type":"string"},"column_name":{"type":"string"},"column_type":{"type":"string"},"identifier_id":{"type":"string"},"identifier_name":{"type":"string"},"access_enabled":{"type":"boolean"},"custom_access_label":{"type":"string"},"deletion_enabled":{"type":"boolean"},"deletion_algorithm":{"type":"string"},"no_data":{"type":"boolean"},"table_last_scanned":{"type":"string","format":"date-time"},"aws_account_id":{"type":"integer"},"aws_account_identifier":{"type":"string"},"aws_account_name":{"type":"string"},"rds_cluster_id":{"type":"integer"},"rds_cluster_identifier":{"type":"string"},"rds_database_id":{"type":"integer"},"rds_database_name":{"type":"string"},"rds_schema_name":{"type":"string"},"rds_table_id":{"type":"integer"},"rds_table_name":{"type":"string"},"data_elements":{"type":"array","items":{"type":"string"}},"data_element_categories":{"type":"array","items":{"type":"string"}},"personas":{"type":"array","items":{"$ref":"#/components/schemas/Persona"}}}},"Persona":{"type":"object","properties":{"name":{"type":"string"}}}}},"paths":{"/aws/rds/columns/{id}":{"get":{"summary":"Get a specific RDS column","operationId":"getRdsColumn","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"RDS column details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RdsColumn"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.teleskope.ai/the-platform/api-service/metadata/aws/rds/rds-metadata-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
